## ros-indigo-cob-cam3d-throttle 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_cam3d_throttle)

find_package(catkin REQUIRED COMPONENTS message_filters nodelet pluginlib roscpp sensor_msgs)





###################################
## catkin specific configuration ##
###################################
catkin_package(
    CATKIN_DEPENDS message_filters nodelet pluginlib roscpp sensor_msgs
    LIBRARIES cam3d_throttle
)

###########
## Build ##
###########
include_directories(${catkin_INCLUDE_DIRS})

add_library(cam3d_throttle src/cam3d_throttle.cpp)
target_link_libraries(cam3d_throttle ${catkin_LIBRARIES})
add_dependencies(cam3d_throttle ${catkin_EXPORTED_TARGETS})


#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS cam3d_throttle
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
   nodelet_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-cam3d-throttle (0.6.12-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #86 <https://github.com/ipa320/cob_perception_common/issues/86> from mikaelarguedas/patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * use license apache 2.0
  * Contributors: Mikael Arguedas, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.10-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.9-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.8-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.7-0trusty) trusty; urgency=high

  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * conversion to package format 2
  * hopefully corrected dependencies to message generation
  * Contributors: Richard Bormann, ipa-fmw

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.6-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.5-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.4-0trusty) trusty; urgency=high

  * 0.5.12
  * 0.5.11
  * Contributors: Florian Weisshardt

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.3-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 08 Sep 2014 16:17:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.2-0trusty) trusty; urgency=high

  * increase version number for indigo
  * 0.5.10
  * downgrade version for hydro
  * Contributors: Florian Weisshardt

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 01 Sep 2014 15:59:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.1-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 10:57:00 -0000

ros-indigo-cob-cam3d-throttle (0.6.0-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 09:37:00 -0000

ros-indigo-cob-cam3d-throttle (0.5.12-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 08 Sep 2014 11:31:00 -0000

ros-indigo-cob-cam3d-throttle (0.5.11-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 01 Sep 2014 15:58:00 -0000

ros-indigo-cob-cam3d-throttle (0.5.10-0trusty) trusty; urgency=high

  * downgrade version for hydro
  * 0.6.1
  * 0.6.0
  * 0.5.5
  * Contributors: Florian Weisshardt

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.5.6-0trusty) trusty; urgency=high

  * 0.5.5
  * Contributors: Florian Weisshardt

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 28 Aug 2014 09:27:00 -0000

ros-indigo-cob-cam3d-throttle (0.5.5-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-cam3d-throttle (0.5.4-0trusty) trusty; urgency=high

  * moved cob_cam3d_throttle
  * moved to cob_driver
  * some renamings, added arg to start nodelet manager
  * moved from cob_camera_sensors
  * Contributors: ipa-fxm, ipa-goa

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-cam3d-throttle
Section: misc
Priority: extra
Maintainer: Joshua Hampp <joshua.hampp@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-filters, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/cob_cam3d_throttle
Standards-Version: 3.9.2

Package: ros-indigo-cob-cam3d-throttle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-filters, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: cob_cam3d_throttle: only for Trottel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-cam3d-throttle//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
